apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: knative-eventing-deploy
  namespace: argocd
  annotations:
    argocd.argoproj.io/sync-wave: "-7"
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  # Where we are deploying to
  destination:
    namespace: knative-eventing
    server: https://kubernetes.default.svc
  # Which project this Application belongs to
  project: default
  # Where this Application has its source
  source:
     repoURL: https://gitlab.com/k8-infra/argocd.git
     targetRevision: main
     path: "knative"
     directory:
       recurse: true
       include: "evetning.yaml"
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
      allowEmpty: true
    syncOptions:
      - CreateNamespace=true
      - Validate=false
